<!DOCTYPE html>
<html>
	<head>
		<meta charset="utf-8">
		<meta name="viewport" content="width=device-width, initial-scale=1">
		<title>HTML - Forms, Tables and Semantic HTML</title>
	</head>
	
	<body>
		<!--header tag is a semantic tag to inform the developer and client that this component is for the header of the web page. -->
		<header> 
			<h2 align = "center">HTML Entities</h2>
		</header>

		<main>
			<!-- This section is for the HTML Table. -->
			<section>
				<p><em>Reserved characters in HTML (e.g. &lt; or &gt;) that can be mixed up with HTML code.</em></p>
				<!-- border attribute defines the thickness border -->
				<table border = "2">
					<!-- thead is for the header of the table -->
					<thead>
						<!-- tr - tag defines a table row -->
						<!-- First row on our header -->
						<tr>
							<!-- th tag defines a table header element -->
							<th colspan = "2">Entity</th>
							<th rowspan = "2">Description</th>
						</tr>
						<tr>
							<th>Symbol</th>
							<th>Name/Number</th>
						</tr>
					</thead>
					<!-- tbody tag is for the body of the table. -->
					<tbody>
						<!-- this is the first row -->
						<tr>
							<!-- td - we used td for the columns of our tbody -->
							<td>&lt;</td>
							<td>lt</td>
							<td>less than</td>
						</tr>

						<tr>
							<td>&gt;</td>
							<td>gt</td>
							<td>greater than</td>
						</tr>

						<tr>
							<td>&#8369;</td>
							<td>#8369</td>
							<td>peso sign</td>
						</tr>

						<tr>
							<td>&</td>
							<td>amp</td>
							<td>ampersand</td>
						</tr>

						<tr>
							<td>"</td>
							<td>quot</td>
							<td>double quatoation mark</td>
						</tr>

						<tr>
							<td>'</td>
							<td>apos</td>
							<td>single quatationmark (apostrophe)</td>
						</tr>

						<tr>
							<td>ñ</td>
							<td>ntilde</td>
							<td>Lower Tidle</td>
						</tr>

						<tr>
							<td>Ñ</td>
							<td>Ntilde</td>
							<td>Upper Tilde</td>
						</tr>

					
						
					</tbody>

					<tfoot>
						<tr>
							<th colspan="3">List of HTML Entities</th>
						</tr>
					</tfoot>

				</table>

			</section>
			<!-- This is the end Table section -->

			<!-- This section is for the HTML Form -->
			<section>
				<h2 align="center">HTML Form</h2>

				<p><em>Input elements that make up a form.</em></p>

				<form>
					<!-- Text inputs -->
					<!-- label tag - creates a text element that serve as the label for the input field. -->
					<!-- type attribute will define what type of information the input field should -->
					<!-- for attribute is used with the id attribute in an input element. This allows user to  click the label to type their response. -->
					<!-- name attribute - it tells the database/api where the value collected from the user will be added depending on the method. -->
					<!-- value attribute - it is the information from the user that will be passed on the database. -->
					<label for = "fullname">Full Name:</label><br>
					<input type="text" name="fullname" id = "fullname" required /><br>

					<label for = "birthdate">Birthdate:</label><br/>
					<input type="date" name="birthdate" id = "birthdate" required autocomplete /><br/>

					<label>Age:</label><br/>
					<input type="number" name="age" id = "age" required autocomplete /><br/>

					<label for="gender">Gender:</label><br/>
					<select name = "gender" id = "gender">
							<option value = "1">Male</option>
							<option value="2">Female</option>
					</select><br/>

					<label for = "suggestion">Suggestion:</label><br/>
					<textarea name = "suggestion" rows = "5" cols = "5" id = "suggestion" required autocomplete></textarea><br/>

					<!-- Radio button -->
					<label>Civil Status:</label><br/>
					<input type="radio" name="civilstatus" value = "single" id = "single"/>
					<label for = "single">Single</label><br/>

					<label>Civil Status:</label><br/>
					<input type="radio" name="civilstatus" value = "married" id = "married"/>
					<label for = "married">Married</label><br/>

					<!-- Checkbox -->
					<label>Job:</label><br/>

					<input type="checkbox" name="job1" value = "developer" id = "developer"/>
					<label for = "developer">Developer</label><br/>

					<input type="checkbox" name="job2" value = "student" id = "student"/>
					<label for = "student">Student</label><br/>


					<input type="checkbox" name="job3" value = "manager" id = "manager"/>
					<label for = "manager">Student</label><br/>

					<button>Submit</button><br/>
					<!-- reset value in type attribute will reset the inputs of the user in the input fields -->
					<button type = "reset">Reset</button>

				</form>
			</section>
		</main>
	</body>

</html>